Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class KeyType

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.KeyType

final class KeyType
extends java.lang.Object

PKCS #11 Key Types These are the possible types for keys in the wrapper library. Key types are implemented as flyweights.

Field Summary
`protected static java.util.Hashtable` | `algHash`
`protected Algorithm[]` | `algorithms`
`static KeyType` | `DES`
`static KeyType` | `DES3`
`static KeyType` | `DH`
`static KeyType` | `DSA`
`static KeyType` | `FORTEZZA`
`static KeyType` | `KEA`
`protected java.lang.String` | `name`
`static KeyType` | `NULL`
`static KeyType` | `RC2`
`static KeyType` | `RC4`
`static KeyType` | `RSA`
`static KeyType` | `SHA1_HMAC`

Constructor Summary
`protected` | `KeyType()`
`protected` | `KeyType(Algorithm[] algs, java.lang.String name)`

Method Summary
`(package private) static void` | `()`
`static KeyType` | `getKeyTypeFromAlgorithm(Algorithm alg)` Returns the KeyType corresponding to the given Algorithm.
`Algorithm[]` | `supportedAlgorithms()` Returns an array of algorithms supported by this key type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### algorithms

    protected Algorithm[] algorithms

### name

    protected java.lang.String name

### algHash

    protected static java.util.Hashtable algHash

### NULL

    public static final KeyType NULL

### RSA

    public static final KeyType RSA

### DSA

    public static final KeyType DSA

### FORTEZZA

    public static final KeyType FORTEZZA

### DH

    public static final KeyType DH

### KEA

    public static final KeyType KEA

### DES

    public static final KeyType DES

### DES3

    public static final KeyType DES3

### RC4

    public static final KeyType RC4

### RC2

    public static final KeyType RC2

### SHA1_HMAC

    public static final KeyType SHA1_HMAC

Constructor Detail

### KeyType

    protected KeyType()

### KeyType

    protected KeyType(Algorithm[] algs,
                      java.lang.String name)

Method Detail

### supportedAlgorithms

    public Algorithm[] supportedAlgorithms()

  Returns an array of algorithms supported by this key type.

### getKeyTypeFromAlgorithm

    public static KeyType getKeyTypeFromAlgorithm(Algorithm alg)
                                           throws java.security.NoSuchAlgorithmException

  Returns the KeyType corresponding to the given Algorithm. If there is no KeyType registered for this algorithm, a NoSuchAlgorithmException is thrown.

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD